Subject: Re: bug#32359: [PATCH] Add svg-path

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 12 Jul 2019 18:02:56 +0200

"Felix E. Klee" <[email-masked]> writes:

> If you want to play with the new functions, simply run the code examples
> from the info page inside of `example.el`.  Concerning `svg+-path`, I’d
> like to hear your thoughts: Do you see room for further improvement, or
> could this be the final interface?

I haven't read it closely, but it looks good to me.  Could you post it
as a patch to svg.el?  That'll make it easier to read.

> I was thinking about removing the double parentheses in commands such
> as:
>
>     (lineto ((100 . 200)))
>
> One could simplify that to:
>
>     (lineto (100 . 200))
>
> Polylines would change from:
>
>     (lineto ((100 . 200) (300 . 200)))
>
> To:
>
>     (lineto (100 . 200) (300 . 200))
>
> Reasons against this change:
>
>   * Parsing optional arguments (plist) could be a pain.  Currently what
>     works nicely:
>
>         (lineto ((100 . 200) (200 . 0)) :relative t)

Yeah, I think you should keep the argument as a single argument.
Varargs with optional keywords parameters just isn't very nice.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no